Bahmni-installer fails for click dependency

Description

Click Python package is not installed when installing the Bahmni installer:

Reference OpenMRS Talk Channel Thread

Activity

Show:
Romain Buisson
November 2, 2017, 2:18 PM
Edited

it seems that using a newer version of setuptools (provided by Pip installer rather than Yum) works.

This does not have to be.
Setuptools 0.7.2 can be installed using easy_install itself. See this article https://pypi.python.org/pypi/setuptools/0.7.2#installing-and-using-setuptools

So that means that we would not require to have python-pip as a dependency in our RPM, which as we know is not available unless epel-release is installed beforehand.

, I think we could keep our dependencies in build.gradle as they were and find a place where to run the setuptools 0.7.2 install instructions:

Shruthi Pitta
November 7, 2017, 5:34 AM
Edited

For now we will add to release notes that epel-release is a pre requisite for bahmni installation

Romain Buisson
November 7, 2017, 8:23 AM

OK, that sounds reasonable to ask user to install epel-release before running the install.

Govind Sharma
May 9, 2018, 11:22 AM
Edited

when i Hit

*bahmni install *

its giving me Error in putty Terminal

~bash:bahmni: command not found

how to relsolve it

Romain Buisson
May 9, 2018, 1:06 PM

, this JIRA ticket is not the place where to ask for general support.
You would better ask your questions on Bahmni/OpenMRS dedicated forum: http://talk.openmrs.org/

Assignee

Unassigned

Reporter

Shruthi Pitta

Labels

Units

None

PercentDone

None

DueTime

None

Clients

None

External issue ID

None

UAT Assignee

Shruthi Pitta

Reviewer

None

Sprint

None

Fix versions

Configure